RawSquareFreeIdeal::const_iterator Class Reference

const_iterator doesn't have all it needs to be a proper STL iterator. More...

`#include <RawSquareFreeIdeal.h>`

## Public Member Functions

| const_iterator (const Word *term, size_t wordsPerTerm)
const Word * | operator* () const
const_iterator | operator++ ()
const_iterator | operator-- ()
bool | operator== (const const_iterator &it) const
bool | operator!= (const const_iterator &it) const
ptrdiff_t | operator- (const const_iterator &it) const
const_iterator | operator+ (ptrdiff_t i) const
const_iterator & | operator= (const const_iterator &it)

## Private Attributes

const Word * | _term
const size_t | _wordsPerTerm

## Detailed Description

const_iterator doesn't have all it needs to be a proper STL iterator.

Extend it if that becomes necessary.

Definition at line 219 of file RawSquareFreeIdeal.h.

## Constructor & Destructor Documentation

## const_iterator()

RawSquareFreeIdeal::const_iterator::const_iterator | ( | const Word * | term,
|  | size_t | wordsPerTerm )

inline

Definition at line 221 of file RawSquareFreeIdeal.h.

## Member Function Documentation

## operator!=()

bool RawSquareFreeIdeal::const_iterator::operator!= | ( | const const_iterator & | it | ) | const

inline

Definition at line 233 of file RawSquareFreeIdeal.h.

## operator*()

const Word * RawSquareFreeIdeal::const_iterator::operator* | ( |  | ) | const

inline

Definition at line 225 of file RawSquareFreeIdeal.h.

## operator+()

const_iterator RawSquareFreeIdeal::const_iterator::operator+ | ( | ptrdiff_t | i | ) | const

inline

Definition at line 242 of file RawSquareFreeIdeal.h.

## operator++()

const_iterator RawSquareFreeIdeal::const_iterator::operator++ | ( |  | ) |

inline

Definition at line 226 of file RawSquareFreeIdeal.h.

## operator-()

ptrdiff_t RawSquareFreeIdeal::const_iterator::operator- | ( | const const_iterator & | it | ) | const

inline

Definition at line 238 of file RawSquareFreeIdeal.h.

## operator--()

const_iterator RawSquareFreeIdeal::const_iterator::operator-- | ( |  | ) |

inline

Definition at line 227 of file RawSquareFreeIdeal.h.

## operator=()

const_iterator & RawSquareFreeIdeal::const_iterator::operator= | ( | const const_iterator & | it | ) |

inline

Definition at line 246 of file RawSquareFreeIdeal.h.

## operator==()

bool RawSquareFreeIdeal::const_iterator::operator== | ( | const const_iterator & | it | ) | const

inline

Definition at line 229 of file RawSquareFreeIdeal.h.

## Member Data Documentation

## _term

const Word* RawSquareFreeIdeal::const_iterator::_term

private

Definition at line 253 of file RawSquareFreeIdeal.h.

## _wordsPerTerm

const size_t RawSquareFreeIdeal::const_iterator::_wordsPerTerm

private

Definition at line 254 of file RawSquareFreeIdeal.h.

The documentation for this class was generated from the following file:

- src/RawSquareFreeIdeal.h